# -*- coding: utf-8 -*-
"""
Created on Tue Oct  6 09:55:13 2015

@author: jaquetc
"""
import numpy as np
import vtk
from vtk.util.numpy_support import vtk_to_numpy
from vtk.util.numpy_support import numpy_to_vtk
import nibabel as nib

# function to convert a mhd image into a numpy array
def get_np_from_mhd(file):   
    imr = vtk.vtkMetaImageReader()
    imr.SetFileName(file)
    imr.Update()
    im = imr.GetOutput()
    rows, cols, _ = im.GetDimensions()
    dim = np.array(im.GetDimensions())
    rdim = np.array(dim[::-1])
    print 'array dimensions', rdim
    sc = im.GetPointData().GetScalars()
    a = vtk_to_numpy(sc)
    a = a.reshape(rdim)
    return a

# function to convert a numpy array into a nifti array and then save it into a nifti image format ( myimage.nii)    
def save_nifti_from_np(np_array,filepath):
    nifti_image = nib.Nifti1Image(np_array, affine=np.eye(4))
    nib.save(nifti_image, filepath)

    
    